tinyMCE.importPluginLanguagePack('insertcode');
var TinyMCE_insertcodePlugin = {
    getInfo : function() {
        return {
            longname:'InsertCode',
            author:'Maxime Lardenois',
            authorurl:'http://www.jpnp.org',
            infourl:'http://www.jpnp.org',
            version:"1.1"
        };
    },
    
    getControlHTML : function(cn) {
        switch (cn) {
            case "insertcode":
                return tinyMCE.getButtonHTML(cn, 'lang_insertcode_desc', '{$pluginurl}/images/insertcode.gif', 'mceinsertcode');
        }
        return"";
    },
    
    execCommand : function(editor_id, element, command, user_interface, value) {
        switch (command) {
            case "mceinsertcode":
                var template = new Array();
                template['file'] = '../../plugins/insertcode/insertcode.htm';
                template['width']=550;
                template['height']=500;
                template['width']+=tinyMCE.getLang('lang_insertcode_desc_delta_width',0);
                template['height']+=tinyMCE.getLang('lang_insertcode_desc_delta_height',0);
                tinyMCE.openWindow(template,{editor_id:editor_id,inline:"yes"});
                return true;
        }
        return false;
    }
};

tinyMCE.addPlugin('insertcode',TinyMCE_insertcodePlugin);

